#include "x11globaleventfilter.h"

#include "x11eventdispatch.h"

namespace KWin {

X11GlobalEventFilter::X11GlobalEventFilter()
{
    X11EventDispatch::self()->registerGlobalEventFilter(this);
}

X11GlobalEventFilter::~X11GlobalEventFilter()
{
    X11EventDispatch::self()->unregisterGlobalEventFilter(this);
}

}
